#pragma once

typedef struct {
    char* name;
    byte* imgData;
    u16 animCount;
    u16 width;
    u16 height;
} SpriteSheet;

typedef struct {
    char* name;
    f32 posX;
    f32 posY;
    u16 rows;
    u16 cols;
    u16 width;
    u16 height;
} Animation;

typedef struct {
    float timeElapsed;
    int frame;
} AnimationPlayback;
