#pragma once

#include "animation.h"
#include "lib.h"

SpriteSheet spriteSheet = {
    .name = "player",
    .animCount = 4,
    .width = 512,
    .height = 512,
};

Animation idle = {
    .name   = "idle",
    .posX   = 0,
    .posY   = 0,
    .rows   = 1,
    .cols   = 10,
    .width  = 48,
    .height = 48,
};

Animation run = {
    .name   = "run",
    .posX   = 0,
    .posY   = 48 * 3,
    .rows   = 1,
    .cols   = 8,
    .width  = 48,
    .height = 48,
};

Animation jump = {
    .name   = "jump",
    .posX   = 0,
    .posY   = 48,
    .rows   = 1,
    .cols   = 3,
    .width  = 48,
    .height = 48,
};

Animation land = {
    .name   = "land",
    .posX   = 0,
    .posY   = 48 * 2,
    .rows   = 1,
    .cols   = 9,
    .width  = 48,
    .height = 48,
};
